# Create Video Task

> Kling create video task endpoint.

Canonical URL: https://docs.uniall.ai/models/video/kling/create-task
Locale: en

## Endpoint


```http
POST /v1/video/generations
```
## Header Parameters

| Name | Type | Required | Description | Example |
| --- | --- | --- | --- | --- |
| `Authorization` | string | No | | Bearer &#123;your_token&#125; |
## Request Body Parameters

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |
| `model` | string | Yes | Model name | kling-v3-std-silent, kling-v3-std-audio, kling-v3-pro-silent, kling-v3-pro-audio |
| `prompt`| string | Yes | prompt | mode and `extra_body.multi_prompt` pass both |
| `image` | string | Yes | reference URL | pass for image-to-video, pass/text-to-video (: last_image, Yes) |
| `last_image` | string | Yes | URL | |
| `aspect_ratio`| string | Yes | Ratio | allowed values:`16:9`, `9:16`, `1:1`, (: image-to-videomode, video) |
| `duration`| string | Yes | video () | allowed values:`3` `15` |
| `extra_body` | object | Yes | | |

## Request Examples

### text-to-video

```json
{
  "model": "kling-v3-std-silent",
  "prompt": " camera, Yes, camera, action. ",
  "aspect_ratio": "16:9",
  "duration": 5,
  "extra_body": {
    "cfg_scale": 0.5,
    "shot_type": "customize",
    "negative_prompt": "blur, "
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "kling-v3-std-silent",
 "prompt": " camera, Yes, camera, action. ",
 "aspect_ratio": "16:9",
 "duration": 5,
 "extra_body": {"cfg_scale": 0.5,
 "shot_type": "customize",
 "negative_prompt": "blur, "}}'
```
### image-to-video

```json
{
  "model": "kling-v3-pro-audio",
  "prompt": ", action, and. ",
  "image": "https://example.com/start-frame.png",
  "aspect_ratio": "16:9",
  "duration": 6,
  "extra_body": {
    "cfg_scale": 0.6,
    "shot_type": "intelligent",
    "negative_prompt": "artifacts, "
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "kling-v3-pro-audio",
 "prompt": ", action, and. ",
 "image": "https://example.com/start-frame.png",
 "aspect_ratio": "16:9",
 "duration": 6,
 "extra_body": {"cfg_scale": 0.6,
 "shot_type": "intelligent",
 "negative_prompt": "artifacts, "}}'
```
### first-and-last-frameimage-to-video

```json
{
  "model": "kling-v3-pro-silent",
  "prompt": " camera, keep identity stable, natural motion. ",
  "image": "https://example.com/first-frame.png",
  "last_image": "https://example.com/last-frame.png",
  "duration": 8,
  "extra_body": {
    "cfg_scale": 0.5,
    "shot_type": "customize"
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "kling-v3-pro-silent",
 "prompt": " camera, keep identity stable, natural motion. ",
 "image": "https://example.com/first-frame.png",
 "last_image": "https://example.com/last-frame.png",
 "duration": 8,
 "extra_body": {"cfg_scale": 0.5,
 "shot_type": "customize"}}'
```
### Use `multi_prompt` image-to-video

```json
{
  "model": "kling-v3-std-audio",
  "image": "https://example.com/source-image.png",
  "duration": 10,
  "extra_body": {
    "multi_prompt": [
      {
        "prompt": "camera. "
      },
      {
        "prompt": " camera. "
      }
    ],
    "shot_type": "customize"
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "kling-v3-std-audio",
 "image": "https://example.com/source-image.png",
 "duration": 10,
 "extra_body": {"multi_prompt": [{"prompt": "camera. "},
 {"prompt": " camera. "}],
 "shot_type": "customize"}}'
```
## Response Fields

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |


## Response Examples

### Example 1

```json
{}
```
